nsec3params.c File Reference
`#include "status.h"`
`#include "log.h"`
`#include "util.h"`
`#include "signer/backup.h"`
`#include "signer/nsec3params.h"`
`#include "signer/signconf.h"`
`#include <ctype.h>`
`#include <ldns/ldns.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

ods_status | nsec3params_create_salt (const char *salt_str, uint8_t *salt_len, uint8_t **salt)
nsec3params_type * | nsec3params_create (void *sc, uint8_t algo, uint8_t flags, uint16_t iter, const char *salt)
void | nsec3params_backup (FILE *fd, uint8_t algo, uint8_t flags, uint16_t iter, const char *salt, ldns_rr *rr, const char *version)
void | nsec3params_cleanup (nsec3params_type *nsec3params)

## Function Documentation

## nsec3params_backup()

void nsec3params_backup | ( | FILE * | fd,
|  | uint8_t | algo,
|  | uint8_t | flags,
|  | uint16_t | iter,
|  | const char * | salt,
|  | ldns_rr * | rr,
|  | const char * | version )

Backup NSEC3 parameters.

Definition at line 141 of file nsec3params.c.

Referenced by zone_backup2().

## nsec3params_cleanup()

void nsec3params_cleanup | ( | nsec3params_type * | nsec3params | ) |

Clean up NSEC3 parameters.

Definition at line 165 of file nsec3params.c.

References nsec3params_struct::salt_data.

Referenced by signconf_cleanup().

## nsec3params_create()

nsec3params_type * nsec3params_create | ( | void * | sc,
|  | uint8_t | algo,
|  | uint8_t | flags,
|  | uint16_t | iter,
|  | const char * | salt )

Create new NSEC3 parameters.

Definition at line 103 of file nsec3params.c.

References nsec3params_struct::algorithm, nsec3params_struct::flags, nsec3params_struct::iterations, nsec3params_create_salt(), nsec3params_struct::rr, nsec3params_struct::salt_data, nsec3params_struct::salt_len, and nsec3params_struct::sc.

Referenced by zone_recover2().

## nsec3params_create_salt()

ods_status nsec3params_create_salt | ( | const char * | salt_str,
|  | uint8_t * | salt_len,
|  | uint8_t ** | salt )

Create NSEC3 salt.

Definition at line 52 of file nsec3params.c.

Referenced by nsec3params_create().